(function () {
    var imgs = document.getElementsByTagName('IMG');
    for (var i = 0; i < imgs.length; i++) {
        var img = imgs[i];
        if ('errorId' == img.id || 'loadingId' == img.id) {
            continue;
        }
        var imgObj = new Image();
        var oldSrc = img.getAttribute('data-src');
        imgObj.src = oldSrc;
        if (imgObj.complete) {
            console.log('imgObj complete');
            img.src = oldSrc;
            try {
                img.addEventListener('click', function () {
                    console.log('onClick Image 1');
                    window.WebViewJavascriptBridge.callHandler('openImageAlbum',this.getAttribute("data-file-id"),function(responseData){console.log(responseData);})
                },false);
            } catch (e) {
                console.error(e);
            }
        } else {
            imgObj.onload = (function (img) {
                return function () {
                    img.src = img.getAttribute('data-src');
                    console.log('imgObj onload');
                    try {
                        img.addEventListener('click', function () {
                             console.log('onClick Image');

                             window.WebViewJavascriptBridge.callHandler('openImageAlbum',this.getAttribute("data-file-id"),function(responseData){console.log(responseData);})
                        },false);
                     } catch (e) {
                        console.error(e);
                     }
                }
            })(img);
        }

        imgObj.onerror = (function (img) {
            return function () {
                img.src = '/assets/image/loadingFail.png';
            }
        })(img);
    }
})();